import React from 'react';
import { APIClient, SchemaInitializerItemType } from '@nocobase/client';
export { useWorkflowTaskFilterContext } from '../shared/WorkflowTaskNavigation';
export interface TaskTypeOptions {
    key: string;
    title: string;
    collection: string;
    action?: string;
    useActionParams: (status: string, workflowKey?: string) => Record<string, unknown>;
    Actions?: React.ComponentType;
    Item: React.ComponentType;
    Detail: React.ComponentType;
    getPopupRecord?: (apiClient: APIClient, { params }: {
        params: any;
    }) => Promise<any>;
    alwaysShow?: boolean;
}
type TaskStats = {
    pending: number;
    all: number;
};
type Stats = Record<string, TaskStats>;
export declare function useTasksCountsContext(): {
    reload: () => void;
    counts: Stats;
    total: number;
};
export declare function usePopupRecordContext(): any;
export declare function WorkflowTasks(): React.JSX.Element;
export declare function TasksCountsProvider(props: any): React.JSX.Element;
export declare function TasksProvider(props: any): React.JSX.Element;
export declare const tasksSchemaInitializerItem: SchemaInitializerItemType;
export declare const MobileTabBarWorkflowTasksItem: React.MemoExoticComponent<import("@formily/reactive-react").ReactFC<Omit<any, "ref">>>;
export declare function WorkflowTasksMobile(): React.JSX.Element;
